code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash -x
## Please set your environment
hadoop=/usr/bin/hadoop
## Get arguments
hdfs_file=$1
## Remove file in HDFS
$hadoop fs -test -e $hdfs_file
if [ $? -eq 0 ]; then
$hadoop fs -rm $hdfs_file
exit 0
fi
echo "FAILURE"
exit 0
| TKiura/WeDGenS | frontend/source/scripts/jobs/production/rm_hdfs.sh | Shell | apache-2.0 | 239 |
# -----------------------------------------------------------------------------
#
# Package : is-generator-fn
# Version : 2.1.0
# Source repo : https://github.com/sindresorhus/is-generator-fn
# Tested on : RHEL 8.3
# Script License: Apache License, Version 2 or later
# Maintainer : BulkPackageSearch Automation <sethp@u... | ppc64le/build-scripts | i/is-generator-fn/is-generator-fn_rhel_8.3.sh | Shell | apache-2.0 | 3,088 |
#!/usr/bin/env bash
term_info=${TERM:-"dumb"}
if [ -z ${term_info} ] || [ "${term_info}" = "dumb" ];then
RED=""
GREEN=""
BLUE=""
YELLOW=""
GRAY=""
LIGHT_RED=""
LIGHT_YELLOW=""
LIGHT_GREEN=""
LIGHT_BLUE=""
LIGHT_GRAY=""
END=""
else
RED="\033[0;31m"
GREEN="\033[0;32m"... | aceway/findX | crontab_monitor.sh | Shell | apache-2.0 | 2,599 |
#!/bin/bash
set -e
function start_rbd_target_gw {
get_config
check_config
if [ "${CEPH_GET_ADMIN_KEY}" -eq 1 ]; then
# ensure we have the admin key
get_admin_key
check_admin_key
fi
ceph_health client.admin /etc/ceph/"$CLUSTER".client.admin.keyring
log "SUCCESS"
# start rbd-target-gw
exec... | JrCs/ceph-docker | src/daemon/start_rbd_target_gw.sh | Shell | apache-2.0 | 346 |
#!/bin/bash
echo "$(date) pid=$$ $1 $2 $3" >&2
echo "TEST_METRIC $RANDOM $(hostname)"
#sleep $(($2 / 1000))
sleep 1
| jdgwartney/boundary-plugin-test | index.sh | Shell | apache-2.0 | 117 |
curl -XDELETE http://localhost:9200/guidebook
| shinob/guidebook_2016 | delete_index.sh | Shell | bsd-2-clause | 46 |
#!/bin/sh
#
# Simple tests with a simple drop-in directory containing a nested directory.
. "$PWD"/src/hostsd_functions.sh
. "$PWD"/tests/helpers.sh
test_find_files() {
local result_file=$(th_mktemp)
find_files "$TEST_DIR/hosts.d" >"$result_file"
th_assertSameFiles "Wrong file listing" "$TEST_DIR/files" "$result_f... | Dridi/hostsd | tests/nested/tests.sh | Shell | bsd-2-clause | 741 |
RUN()
{
python ../manage.py runserver 0.0.0.0:8000
}
| hdknr/Gel | sample/env.bash | Shell | bsd-2-clause | 57 |
#!/bin/sh
cd /home/root/IoT
python iot_once.py
| ktkirk/HSSI | IoT/iot.sh | Shell | bsd-2-clause | 51 |
#!/bin/bash
set -x
fuser -k 8080/tcp
if [[ $# -lt 2 || $# -eq 3 || $# -gt 5 ]]; then
echo "Usage: $0 <send-interface> <trace-dir> [<listen-ip> <listen-port> [-k]]"
exit 1
fi
INTERFACE=$1
TRACEDIR=$2
if [[ $# -gt 2 ]]; then
LISTEN_IP=$3
LISTEN_PORT=$4
else
LISTEN_IP=`host $HOSTNAME | cut -f4 -d' '`... | nfvproject/TFM | TFM/experiment/traceload_server_tfm.sh | Shell | bsd-3-clause | 964 |
#!/bin/sh
## git-subrepo2submodule.sh -- git submodule add <remote.branch.url> <./path>
#
# :author: Wes Turner <wes@wrd.nu>
# :license: BSD 3-Clause
function git_subrepo2submodule_help {
local _cmd="${0}"
echo "${_cmd} <subrepopath> [repopath] [branch name (default: master)]"
echo " Convert a cloned ... | westurner/dotfiles | scripts/git-subrepo2submodule.sh | Shell | bsd-3-clause | 2,067 |
myFile="mixed_protocol"
while read myLine
do
perl process_ef.pl data3/$myLine fcompb1 > file1
perl process_ef.pl data3/$myLine fcompb2 > file2
paste file1 file2 > file3
rm -rf file1 file2
mv file3 $myLine.dat
done < $myFile
awk '{print "set label \""($1)*20"%\" at "($4)+0.01","($2)+0.01}' *reno.dat > test
echo "... | asgard-lab/tcp_suite | analysis/ef.sh | Shell | bsd-3-clause | 1,203 |
#!/bin/sh
PATH=/sbin:/usr/sbin:/bin:/usr/bin
ACEADDON=$(cd $(dirname "$0") && pwd)
ACECHROOT="androidfs"
PERMISSION=""
SYSNSPAWN=""
if [ $(id -u) != 0 ]; then
PERMISSION=$(which sudo)
if [ ! -x "$PERMISSION" ]; then
echo "Without sudo and not a root. Exiting."
exit 1
fi
fi
if [ ! -d "$ACEADDON/$ACECHRO... | miltador/cheapstream | scripts/start_acestream.sh | Shell | bsd-3-clause | 1,179 |
export BUILDROOT=$PWD/..
export PREFIX=/usr
export HOST=x86_64-anvil
export DESTDIR=$BUILDROOT/sysroot-x86/
export PKG=coreutils
export VER=8.23
# delete the old tools
rm -rf $PKG-$VER
# untar the new version
tar -zxf $PKG-$VER.tar.xz
cd $PKG-$VER
cp ../config.sub build-aux
./configure --host=$HOST --prefix=$PRE... | gerryg400/anvilos | ports/make_coreutils.sh | Shell | bsd-3-clause | 359 |
#!/bin/bash
#
# Release build script for Platypus
# Must be run from src root
#
XCODE_PROJ="Platypus.xcodeproj"
if [ ! -e "${XCODE_PROJ}" ]; then
echo "Build script must be run from src root"
exit 1
fi
SRC_DIR=$PWD
BUILD_DIR="products/"
VERSION=`/usr/libexec/PlistBuddy -c "Print :CFBundleShortVersionString"... | sveinbjornt/Platypus | build_release.sh | Shell | bsd-3-clause | 2,394 |
#!/usr/bin/env bash
# Initialize the Ambry config with environmental vars.
# Edit the entire file, using a JSON input
if [ ! -z $AMBRY_CONFIG_EDIT ]
then
ambry config edit -j $AMBRY_CONFIG_EDIT
fi
# Run an ambry command in the container
if [ ! -z "$AMBRY_COMMAND" ]
then
exec $AMBRY_COMMAND
else
exec ba... | CivicKnowledge/ambry-admin | ambry_admin/docker/ambry/ambry-init.sh | Shell | bsd-3-clause | 327 |
# ZSH-only stuff.
# ---------------------------------------------------------------------------
# Trim a directory. Akin to PROMPT_DIRTRIM in Bash. Takes three parameters
#
# 1 - The string to trim.
# 2 - The maximum number of directory components to include.
# 3 - The total maximum length of the directory string.
#
#... | bmc/lib-sh | misc-funcs.zsh | Shell | bsd-3-clause | 2,597 |
#!/bin/bash
VERSION=3.2.3
# move to the mongo directory, no matter where the script is run from
BINDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd $BINDIR
cd ../
./mongodb-$VERSION/bin/mongod --dbpath ./var/mongodb-data
| jpitts/isomorphic-react-demo-ss2015 | vendor/mongodb/bin/start_mongodb.sh | Shell | mit | 234 |
#!/bin/bash
source venv/bin/activate
#
# Configuring application.
#
python scripts/setup_app/
#
# Collect data from
# different location programs.
#
python scripts/locations_scraper/
#
# Run application.
#
python app/
| rolltime/rolltime-app | bin/config.sh | Shell | mit | 224 |
#! /bin/sh
for server in `cat list`; do
ping -c 3 $server >> pingcheck.log
done
echo "DONEDONEDONEONDONEONDDONEDONDONE"
| benjipdx/downtime-scripts | pingcheck.sh | Shell | mit | 124 |
# Aliases
alias g='git'
compdef g=git
alias gst='git status'
compdef _git gst=git-status
alias gl='git pull'
compdef _git gl=git-pull
alias gup='git fetch && git rebase'
compdef _git gup=git-fetch
alias gp='git push'
compdef _git gp=git-push
gdv() { git-diff -w "$@" | view - }
compdef _git gdv=git-diff
alias gc='git co... | nacengineer/dotfiles | oh-my-zsh/plugins/git/git.plugin.zsh | Shell | mit | 1,381 |
seconds_to_generate=600
input_config=nonweb_config
output_file=nonweb_midi.mid
nohup python genmusic.py trained_configs/${input_config} generated_music/${output_file} ${seconds_to_generate} &> generation_out.txt &
| grant/algo-rhythm | dummycode/runmusicgen.sh | Shell | mit | 216 |
#!/bin/bash
### This script attempts to download the signature file SHA256SUMS.asc from SourceForge
### It first checks if the signature passes, and then downloads the files specified in
### the file, and checks if the hashes of these files match those that are specified
### in the signature file.
### The sc... | Serya05/digibyte | contrib/verifysfbinaries/verify.sh | Shell | mit | 3,363 |
#!/bin/sh
set -e
cd docs && make apidoc && cd ..
git checkout gh-pages
rm -rf _build _sources _static _download
git checkout master docs
git reset HEAD
cd docs && make html && cd ..
mv -fv docs/_build/html/* ./
rm -rf docs _build
git add -A
git commit -m "Generated gh-pages for `git log master -1 --pretty=short --abb... | ningirsu/stepmania-server | gh-pages.sh | Shell | mit | 378 |
#!/bin/bash
# This is the script for bringing up the standard openstack nodes without
# Swift. This is probably the up script you want to run.
vagrant up puppet control network compute router
wait
| msimonin/openstack-g5k | liberty_neutron/vagrant/05_up.sh | Shell | mit | 198 |
#!/bin/bash
set -e
source ${REDMINE_RUNTIME_ASSETS_DIR}/functions
[[ $DEBUG == true ]] && set -x
case ${1} in
app:init|app:start|app:rake|app:backup:create|app:backup:restore)
initialize_system
configure_redmine
configure_nginx
case ${1} in
app:start)
version_check
migrate_da... | otsuka512/docker-redmine | entrypoint.sh | Shell | mit | 1,615 |
#!/usr/bin/env bash
# fail hard
set -o pipefail
# fail harder
set -eu
if [[ $# == "1" ]]; then
echo "Usage: $(basename $0) [S3_BUCKET S3_PREFIX [MANIFEST...]]" >&2
echo " S3_BUCKET: S3 bucket name for packages.json upload; default: '\$S3_BUCKET'." >&2
echo " S3_PREFIX: S3 prefix, e.g. '/' or '/dist-stable/'; def... | jopereyral/heroku-buildpack-php | support/build/_util/mkrepo.sh | Shell | mit | 2,604 |
#!/bin/bash
# Created by Roel Van de Paar, Percona LLC
if [ "" == "$1" ]; then
echo "Please specify the number of queries to generate"
exit 1
else
queries=$1
fi
RANDOM=`date +%s%N | cut -b13-19`
if [ -r out.sql ]; then rm out.sql; fi
touch out.sql
for i in `eval echo {1..${queries}}`; do
#COLS=`sort -R cols... | Percona-QA/percona-qa | generator/old/RTD_generator.sh | Shell | gpl-2.0 | 1,877 |
#!/usr/bin/env bash
## Test for issue1848 - interactive selection of primitive patches
## should still work with rollback -p
##
## Copyright (C) 2010 Eric Kow
##
## Permission is hereby granted, free of charge, to any person
## obtaining a copy of this software and associated documentation
## files (the "Software"), to... | DavidAlphaFox/darcs | tests/issue1848-rollback-p.sh | Shell | gpl-2.0 | 1,543 |
PACKAGE_NAME="xbitmaps"
PACKAGE_VERNAME="xbitmaps-1.0.1"
PACKAGE_ARCHIVE="${PACKAGE_VERNAME}.tar.bz2"
PACKAGE_DIR="${PACKAGE_VERNAME}"
sgn_carefully sgn_untar_bz2 "xorg/7.3/data/${PACKAGE_ARCHIVE}"
sgn_carefully sgn_builddir sgn_byuser ./configure --prefix="$SGN_PREFIX"
sgn_carefully sgn_builddir sgn_byuser make
sgn... | erdizz/sovereign | depot/xbitmaps/xbitmaps-1.0.1.sh | Shell | gpl-2.0 | 388 |
#!/bin/bash
# Can take two parameters: AppVersion PkgNumber
# If not provided, AppVersion is found in manuskript/version.py
# PkgNumber is 1.
# Program vars
ScriptPath="$( cd "$(dirname "$0")" ; pwd -P )"
Root="$ScriptPath/../"
# Manuskript Vars
AppName=manuskript
Version=$(grep -E "__version__.*\".*\"" "$Root/manu... | gedakc/manuskript | package/create_deb.sh | Shell | gpl-3.0 | 1,871 |
#!/usr/bin/env bash
# This file is part of The RetroPie Project
#
# The RetroPie Project is the legal property of its developers, whose names are
# too numerous to list here. Please refer to the COPYRIGHT.md file distributed with this source.
#
# See the LICENSE.md file at the top-level directory of this distribution ... | dudleydes/RetroPie-Setup | scriptmodules/ports/darkplaces-quake.sh | Shell | gpl-3.0 | 1,593 |
# -*- coding: utf-8 -*-
# Copyright (C) 2014 Universidade de Aveiro, DETI/IEETA, Bioinformatics Group - http://bioinformatics.ua.pt/
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either vers... | bioinformatics-ua/montra | bin/startall.sh | Shell | gpl-3.0 | 957 |
#! /bin/bash
curl -w "%{http_code}\n" -f -s -X POST \
-H "Content-Type: application/trix" \
--data-binary @- \
$STORE_URL/${STORE_ACCOUNT}/repositories/${STORE_REPOSITORY}/statements?auth_token=${STORE_TOKEN} <<EOF\
| egrep -q "${POST_SUCCESS}"
<?xml version="1.0" encoding="utf-8"?>
<TriX>
<graph>
... | dydra/http-api-tests | http-communication-protocol-for-sesame/openrdf-sesame/repositories/mem-ref/statements/POST-trix.sh | Shell | unlicense | 768 |
if [ "$(uname)" == "Darwin" ]; then
# C++11 finagling for Mac OSX
export CC=clang
export CXX=clang++
export MACOSX_VERSION_MIN="10.9"
CXXFLAGS="${CXXFLAGS} -mmacosx-version-min=${MACOSX_VERSION_MIN}"
CXXFLAGS="${CXXFLAGS} -Wno-error=unused-command-line-argument"
export LDFLAGS="${LDFLAGS} -mmacosx-version... | sky-xu/deepdive | conda.recipe/build.sh | Shell | apache-2.0 | 1,261 |
#!/bin/bash
TMPIP=`kubectl get pods | grep $1 | awk '{ print $1 }' | xargs kubectl describe pod | grep IP | awk '{ print $2 }'`
ncat --telnet $TMPIP 2019 | INAETICS/bare-metal-installation | oem/nuc1/opt/bin/telnet.sh | Shell | apache-2.0 | 153 |
#!/bin/sh
# Strings.sh
# Generate localizable.strings from source files.
#
# Created by Ernesto Rivera on 2013/08/14.
# Copyright (c) 2012-2017 CyberAgent Inc.
#
find ../Source -name "*.m" -print0 | xargs -0 -I file sed 's/NBULocalizedString(@"\(.*\)",\(.*\)@"\(.*\)")/NSLocalizedStringWithDefaultValue(@"\1", nil,... | CyberAgent/iOS-NBUImagePicker | Resources/Strings.sh | Shell | apache-2.0 | 428 |
#!/bin/bash
#
# LEIDOS CONFIDENTIAL
# __________________
#
# (C)[2007]-[2014] Leidos
# Unpublished - All Rights Reserved.
#
# NOTICE: All information contained herein is, and remains
# the exclusive property of Leidos and its suppliers, if any.
# The intellectual and technical concepts contained
# herein are proprieta... | deleidos/digitaledge-platform | cloud-environment-monitor/target/scripts/post_remove.sh | Shell | apache-2.0 | 850 |
#
# HTK script to train three state monophones
#
HTKTools=$1
# template for a prototype model should be in
# conf/simp.pcf
exp=exp
mkdir -p $exp
# generate a prototype model
cat << "EOF" > exp/proto
~o <VecSize> 39 <MFCC_E_D_A_Z>
~h "proto"
<BeginHMM>
<NumStates> 5
<State> 2
<Mean> 39
0.0 0.0 0.0 0.0 0.0 0.0 0.0 ... | agarbuno/deepdish | deepdish/experiments/conv_deep_maxout_TIMIT_old/scripts/timit_train_threestate_monophones.sh | Shell | bsd-3-clause | 3,347 |
#!/bin/bash -e
if [ "${NO_PRERUN_QCOW2}" = "0" ]; then
IMG_FILE="${STAGE_WORK_DIR}/${IMG_FILENAME}${IMG_SUFFIX}.img"
unmount_image "${IMG_FILE}"
rm -f "${IMG_FILE}"
rm -rf "${ROOTFS_DIR}"
mkdir -p "${ROOTFS_DIR}"
BOOT_SIZE="$((256 * 1024 * 1024))"
ROOT_SIZE=$(du --apparent-size -s "${EXPORT_ROOTFS_DIR}" --e... | RPi-Distro/pi-gen | export-image/prerun.sh | Shell | bsd-3-clause | 3,131 |
#
# Git mirror and Zip/TGZ cache to conserve bandwidth
# Memo: override in os-specific env file
# Can be overridden with -DMULLE_FETCH_ARCHIVE_DIR on the commandline
#
MULLE_FETCH_MIRROR_DIR="${MULLE_FETCH_MIRROR_DIR:-${HOME:-/tmp}/.cache/mulle-fetch/git-mirror}"
export MULLE_FETCH_MIRROR_DIR
#
# Git mirror and Zip/TG... | mulle-nat/mulle-concurrent | test/.mulle/share/env/environment-plugin.sh | Shell | bsd-3-clause | 1,876 |
# The classic ls aliases
alias ll='ls -alF --color=always'
alias la='ls -A'
alias l='ls -CF'
| scrisenbery/dotfiles | config.d/_shellrc.d/_bashrc.d/80-ls-aliases.bash | Shell | mit | 93 |
#!/bin/bash
# usage-message.sh
: ${1?"Usage: $0 ARGUMENT"}
# Script exits here if command-line parameter absent,
#+ with following error message.
# usage-message.sh: 1: Usage: usage-message.sh ARGUMENT
echo "These two lines echo only if command-line parameter given."
echo "command-line parameter = \"$1\""
exit 0... | yimng/personal-stuff | abs/10.2/usage-message.sh | Shell | mit | 530 |
#!/usr/bin/env bash
cat /dev/null | rofi -dmenu &
RPID=$!
sleep 4
xdotool key Return
# Get result, kill xvfb
wait ${RPID}
RETV=$?
if [ ${RETV} -eq 0 ]
then
exit 0
else
exit 1
fi
| jasperla/rofi | test/run_dmenu_empty.sh | Shell | mit | 189 |
#!/bin/sh
#Remove dynamically created files...
if ! which frisbee &>/dev/null;then
rm -f /etc/ppp/chatscripts/gprs-*_command
rm -f /etc/ppp/peers/gprs-generated 2>/dev/null
rm -f /etc/ppp/peers/gprs-auth 2>/dev/null
rm -f /root/.config/gprs.conf
fi
rm -fr /usr/local/pgprs
#Restore pgprs scripts in old location, w... | ninaholic/woof-CE | woof-code/rootfs-packages/pgprs/puninstall.sh | Shell | gpl-2.0 | 601 |
#! /bin/sh
# Copyright (C) 1998-2014 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | kuym/openocd | tools/automake-1.15/t/java-clean.sh | Shell | gpl-2.0 | 1,672 |
#!/usr/bin/env bash
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.
set -o errexit
set -o nounset
set -o pipefail
FORMULAS=(gst-plugins-bad.rb)
for i in ${FORMULAS[@... | pyfisch/servo | etc/taskcluster/macos/Formula/recreate.sh | Shell | mpl-2.0 | 460 |
test_pki() {
if [ ! -d "/usr/share/easy-rsa/" ]; then
echo "==> SKIP: The pki test requires easy-rsa to be installed"
return
fi
# Setup the PKI
cp -R /usr/share/easy-rsa "${TEST_DIR}/pki"
(
set -e
cd "${TEST_DIR}/pki"
# shellcheck disable=SC1091
. ./vars
./clean-all
./pkitool ... | erikmack/lxd | test/suites/pki.sh | Shell | apache-2.0 | 1,429 |
#!/bin/bash
#####################################################################################
# Hook script used to apply some google_diff patches before running FOTAGen process #
#####################################################################################
GOOGLE_DIFFS=vendor/intel/google_diffs/l_pdk/pat... | anwarMov/android_device_asus_a500cg-1 | libintelprov/google_diff_fota.sh | Shell | apache-2.0 | 739 |
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not us... | apache/incubator-superset | scripts/gen_changelog.sh | Shell | apache-2.0 | 1,082 |
#!/bin/bash
# ------------------------------------------------------------------------
#
# Copyright 2016 WSO2, Inc. (http://wso2.com)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http... | NipunaMarcus/product-ds | modules/auto-deployment/dockerfile-ds/wso2ds/run.sh | Shell | apache-2.0 | 983 |
#!/bin/bash
PROTOCOL_VERSION='3.1.0'
function process {
FROM_PERUN_DIR="${WORK_DIR}/mailinglists/"
I_MAILING_LIST_UPDATED=(0 '${MAILING_LIST_NAME} successfully updated.')
create_lock
for MAILING_LIST_NAME in `ls $FROM_PERUN_DIR/` ; do
# set list members
cat "${FROM_PERUN_DIR}/${MAILING_LIST_NAME}" | gre... | sustr4/perun-services | slave/process-mailman-vsup/bin/process-mailman_vsup.sh | Shell | bsd-2-clause | 472 |
#!/bin/bash
cd "$(dirname "$BASH_SOURCE")" \
&& source '../../utils.sh'
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
set_chrome_preferences() {
execute 'defaults write com.google.Chrome AppleEnableSwipeNavigateWithScrolls -bool false' \
'Disable backswipe'
execute 'de... | sophatvathana/dotfiles | os/os_x/preferences/set_chrome_preferences.sh | Shell | mit | 766 |
#!/bin/bash
FN="hthgu133b.db_3.2.3.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.10/data/annotation/src/contrib/hthgu133b.db_3.2.3.tar.gz"
"https://bioarchive.galaxyproject.org/hthgu133b.db_3.2.3.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-hthgu133b.db/bioconductor-hthgu133b.db_3.2.3_src_... | Luobiny/bioconda-recipes | recipes/bioconductor-hthgu133b.db/post-link.sh | Shell | mit | 1,426 |
#!/bin/sh
make clean
cd ../doxygen
doxygen > /dev/null
cp -r images/* xml
cd ../sphinx
make html > /dev/null
| Yawgmoth90/pagmo2 | doc/sphinx/compile.sh | Shell | gpl-3.0 | 109 |
#!/bin/sh
# package up PEAR
set -e
set -x
rm -f PEAR-*.tgz
pear package package2.xml
[ -d go-pear-tarballs ] && rm -r go-pear-tarballs
mkdir go-pear-tarballs
cd go-pear-tarballs
rm -f PEAR-*
cp ../PEAR-*.tgz .
gunzip PEAR-*.tgz
pear download -Z Archive_Tar Console_Getopt Structures_Graph XML_Util
mkdir src && cd sr... | aydancoskun/timetrex-community-edition | vendor/pear/pear/build-release.sh | Shell | agpl-3.0 | 501 |
wget http://asteroidzoo.s3.amazonaws.com/CSS/703/2006/06Oct21/01_06OCT21_N04010_0001.arch.H
wget http://asteroidzoo.s3.amazonaws.com/CSS/703/2006/06Oct21/01_06OCT21_N04010_0002.arch.H
wget http://asteroidzoo.s3.amazonaws.com/CSS/703/2006/06Oct21/01_06OCT21_N04010_0003.arch.H
wget http://asteroidzoo.s3.amazonaws.com/CSS... | pjcabrera/NTL-Asteroid-Data-Hunter | Source Code/algo/mac/data_prep/wget_traindata.sh | Shell | apache-2.0 | 64,520 |
#!/usr/bin/env bash
# This script holds library functions for setting up the shell environment for OpenShift scripts
# os::util::environment::use_sudo updates $USE_SUDO to be 'true', so that later scripts choosing between
# execution using 'sudo' and execution without it chose to use 'sudo'
#
# Globals:
# None
# Arg... | aveshagarwal/origin | hack/lib/util/environment.sh | Shell | apache-2.0 | 8,530 |
#!/bin/sh
root_dir=`dirname $0`
cd $root_dir
rm -rf build dist zstacktestagent.egg-info zstacktestagent-0.1.0
python setup.py sdist
pip uninstall -y zstacktestagent
pip install dist/*.tar.gz
| zstackorg/zstack-woodpecker | zstacktestagent/install.sh | Shell | apache-2.0 | 193 |
#!/bin/sh
#
# Copyright (c) 1994 Geoffrey M. Rehmet, Rhodes University
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
# n... | jhbsz/OSI-OS | usr.sbin/manctl/manctl.sh | Shell | bsd-3-clause | 8,180 |
#
# Copyright 2015 EMC Corp.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# * Redistributions of source code must retain the above copyright
# notice, this list of conditions and the foll... | TigerBSD/TigerBSD | FreeBSD/lib/libarchive/tests/functional_test.sh | Shell | isc | 1,960 |
#!/bin/bash
FN="pd.rae230a_3.12.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.13/data/annotation/src/contrib/pd.rae230a_3.12.0.tar.gz"
"https://bioarchive.galaxyproject.org/pd.rae230a_3.12.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-pd.rae230a/bioconductor-pd.rae230a_3.12.0_src_all.ta... | phac-nml/bioconda-recipes | recipes/bioconductor-pd.rae230a/post-link.sh | Shell | mit | 1,417 |
# build headless chrome on EC2
# https://github.com/adieuadieu/serverless-chrome/blob/master/chrome/README.md
# sudo su
yum install -y git redhat-lsb python bzip2 tar pkgconfig atk-devel alsa-lib-devel bison binutils brlapi-devel bluez-libs-devel bzip2-devel cairo-devel cups-devel dbus-devel dbus-glib-devel expat-dev... | mingaldrichgan/gatsby | packages/gatsby-transformer-screenshot/chrome/buildChrome.sh | Shell | mit | 1,806 |
#!/bin/sh
## live-build(7) - System Build Scripts
## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.
Check_p... | utlemming/lb.divert | functions/packages.sh | Shell | gpl-3.0 | 2,215 |
#!/bin/sh
test -f /.kconfig && . /.kconfig
test -f /.profile && . /.profile
echo "Configure image: [$kiwi_iname]..."
#==========================================
# pack boot includes
#------------------------------------------
basePackBootIncludes
#==========================================
# remove unneded kernel fi... | BackupTheBerlios/kiwi | system/boot/s390/netboot/suse-SLES11/images.sh | Shell | gpl-2.0 | 1,127 |
#!/bin/sh
# show that 'split --lines=2' works.
# Copyright (C) 2002-2013 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (a... | ZheJiuShiMing/coreutils | tests/split/lines.sh | Shell | gpl-3.0 | 1,094 |
#!/bin/sh
# source the common platform independent functionality and option parsing
script_location=$(dirname $(readlink --canonicalize $0))
. ${script_location}/common_setup.sh
echo -n "creating additional disk partitions... "
disk_to_partition=/dev/vda
free_disk_space=$(get_unpartitioned_space $disk_to_partition)
c... | Gangbiao/cvmfs | test/cloud_testing/platforms/slc6_i386_setup.sh | Shell | bsd-3-clause | 1,614 |
# Unix
if [ "$#" -eq 1 ]
then
javac -classpath ./lib/xmlrpc-client-3.1.jar:./lib/xmlrpc-common-3.1.jar $1
else
echo usage:$0 filename.java
fi | fluffylittlemarshmallow/black-ninja | lib/api/sample_clients/java/compile.sh | Shell | gpl-2.0 | 144 |
#!/bin/sh
#
# configures SSL
# optionally configures Let's Encrypt
#
# TODO: Swarm members who aren't the leader won't be told to pick up new LE certs, although
# container restarts will fix that.
#
set -e
if ! [ -f /etc/ssl/private/selfsigned.key.pem ]; then
openssl req -x509 -newkey rsa:4096 \
-keyout /etc/... | openemr/openemr-devops | docker/openemr/flex-edge/ssl.sh | Shell | gpl-3.0 | 2,109 |
#!/bin/sh
prompt_download( ) {
if [ -z "$DOWNLOADS" ] ; then
cat <<EOM
Use --downloads-yes to automatically answer the next prompt with 'yes' and
use --downloads-no to automatically answer the next prompt with 'no'
EOM
fi
while [ "$DOWNLOADS" != "no" -a "$DOWNLOADS" != "yes" ] ; do
read -p "Download Processing.... | spaceone/pyjs | examples/canvasprocessing/download.sh | Shell | apache-2.0 | 892 |
#!/bin/sh
exec ./test-u32-nfd-big${EXEEXT} "$srcdir/uninorm/NormalizationTest.txt"
| coapp-packages/libunistring | tests/uninorm/test-u32-nfd-big.sh | Shell | gpl-3.0 | 83 |
#!/bin/bash
#java设置
export JAVA_HOME=/usr/local/jdk1.6.0_45
export CLASSPATH=.:$JAVA_HOME/lib/dt.jar:$JAVA_HOME/lib/tools.jar
export PATH=$JAVA_HOME/bin:$PATH:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin
BASE_PATH=`cd "$(dirname "$0")"; pwd`
APP_PATH=`cd "$(dirname "$BASE_PATH")"; pwd`
export APP_PATH
sh $BASE_PATH/... | sdgdsffdsfff/vesta-id-generator | vesta-server/src/main/scripts/start.sh | Shell | apache-2.0 | 387 |
#!/bin/bash
# This can take a file containing output produced by the replacement dump function in custom.js.example
# and break it into multiple files, one for each numeric dump prefix. Not perfect, since it'll truncate
# messages that aren't on one contiguous line.
for x in `grep '>>>>>>>>>>>>>' $* | perl -ne 'if ( /... | kidaa/Evergreen | Open-ILS/xul/staff_client/external/dump_splitter.sh | Shell | gpl-2.0 | 409 |
#!/bin/bash
if [ "${1}" = "--quiet" ]; then
name="$2"
else
name="$1"
fi
sensitive_services_list=/etc/sensitive_services
grep -x "$name" "$sensitive_services_list" && exit 101
exit 0
| bafna/puppet-rjil | files/package_start_policy.sh | Shell | apache-2.0 | 186 |
#!/bin/sh
test_description='add -i basic tests'
. ./test-lib.sh
. "$TEST_DIRECTORY"/lib-prereq-FILEMODE.sh
test_expect_success PERL 'setup (initial)' '
echo content >file &&
git add file &&
echo more >>file &&
echo lines >>file
'
test_expect_success PERL 'status works (initial)' '
git add -i </dev/null >output &... | TextusData/Mover | thirdparty/git-1.7.11.3/t/t3701-add-interactive.sh | Shell | gpl-3.0 | 7,507 |
#!/bin/bash
set -euo pipefail -x
. "${BASH_SOURCE%/*}/common.sh"
cleanup_docker_containers
start_docker_containers
# insert AWS credentials
exec_in_hadoop_master_container cp /etc/hadoop/conf/core-site.xml.s3-template /etc/hadoop/conf/core-site.xml
exec_in_hadoop_master_container sed -i \
-e "s|%AWS_ACCESS_KEY%|$... | zzhao0/presto | presto-hive-hadoop2/bin/run_hive_s3_tests.sh | Shell | apache-2.0 | 1,837 |
#!/usr/bin/env bash
#
# Copyright (c) 2019-2021 The Bitcoin Core developers
# Distributed under the MIT software license, see the accompanying
# file COPYING or http://www.opensource.org/licenses/mit-license.php.
#
export LC_ALL=C
ENABLED_CHECKS=(
"Class '.*' has a constructor with 1 argument that is not explicit... | jamesob/bitcoin | test/lint/extended-lint-cppcheck.sh | Shell | mit | 6,648 |
#!/bin/bash
# Test for "stop" statement
# This file is part of the rsyslog project, released under ASL 2.0
echo ===============================================================================
echo \[stop-localvar.sh\]: testing stop statement together with local variables
. $srcdir/diag.sh init
. $srcdir/diag.sh startu... | RomeroMalaquias/rsyslog | tests/stop-localvar.sh | Shell | gpl-3.0 | 567 |
#!/bin/bash
mkdir -p $PREFIX/bin
cd Graph2Pro
make clean
make
cp DBGraph2Pro $PREFIX/bin/DBGraph2Pro
cp DBGraphPep2Pro $PREFIX/bin/DBGraphPep2Pro
| jerowe/bioconda-recipes | recipes/dbgraph/build.sh | Shell | mit | 149 |
#!/usr/bin/env bash
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | linzhaoming/origin | vendor/k8s.io/kubernetes/staging/src/k8s.io/code-generator/generate-internal-groups.sh | Shell | apache-2.0 | 5,027 |
#!/bin/bash
cd "$(dirname "$0")"
if [ ! -d ../node_modules ]; then
echo "Dependencies are not installed, installing"
cd ../ && npm install --loglevel silent && cd ./scripts
fi
if [ ! -x ../node_modules/.bin/yuitest ]; then
echo "YUITest is not installed, installing"
cd ../ && npm install --loglevel s... | greyhwndz/yuidoc | scripts/prep.sh | Shell | bsd-3-clause | 452 |
#!/bin/bash -x
# $DIR is the directory that hosts this script. Solution taken from:
# http://stackoverflow.com/questions/59895/can-a-bash-script-tell-what-directory-its-stored-in
SOURCE="${BASH_SOURCE[0]}"
DIR="$( dirname "$SOURCE" )"
while [ -h "$SOURCE" ]
do
SOURCE="$(readlink "$SOURCE")"
[[ $SOURCE != /* ]] && ... | robbertvanginkel/buck | test/com/facebook/buck/jvm/java/testdata/external_javac/check_env.sh | Shell | apache-2.0 | 525 |
#!/bin/sh
# Small utility to quickly merge changes from others:
# 1) Pull from given branch
# 2) Check whether it compiles or not
# 3) If it compiles, push to server
#
# Usage (from the main AnkiDroid directory):
# tools/pull-compile-push.sh flerda
# tools/pull-compile-push.sh flerda issue677
#
# It assumes that y... | wchristian/Anki-Android | tools/pull-compile-push.sh | Shell | gpl-3.0 | 1,019 |
#!/bin/sh
#
# Copyright © 2008 IBM Corporation
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version
# 2 of the License, or (at your option) any later version.
# This script checks p... | dperezde/little-penguin | linux-eudyptula/arch/powerpc/kernel/prom_init_check.sh | Shell | gpl-2.0 | 2,027 |
#!/bin/bash
# This example script activates an interface based on the specified
# configuration.
#
# In the interest of keeping the KVP daemon code free of distro specific
# information; the kvp daemon code invokes this external script to configure
# the interface.
#
# The only argument to this script is the configura... | AiJiaZone/linux-4.0 | virt/tools/hv/hv_set_ifconfig.sh | Shell | gpl-2.0 | 1,853 |
#!/bin/bash
# SPDX-License-Identifier: GPL-2.0
[[ -z $TC ]] && TC='tc'
[[ -z $IP ]] && IP='ip'
REDIRECT_USER='./tc_l2_redirect'
REDIRECT_BPF='./tc_l2_redirect_kern.o'
RP_FILTER=$(< /proc/sys/net/ipv4/conf/all/rp_filter)
IPV6_FORWARDING=$(< /proc/sys/net/ipv6/conf/all/forwarding)
function config_common {
local tun_... | Linutronix/linux | samples/bpf/tc_l2_redirect.sh | Shell | gpl-2.0 | 5,024 |
# Copyright (C) 2011-2013 Internet Systems Consortium, Inc. ("ISC")
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS ... | WigWagCo/node-isc-dhclient | deps/isc-dhcp/bind/bind-expanded-tar/bin/tests/system/inline/setup.sh | Shell | isc | 1,436 |
#!/usr/bin/env bash
cd "$(dirname "${BASH_SOURCE[0]}")" && source "./common.bash"
info "Starting lint"
eslint . "$@"
info "Lint complete"
| MitMaro/node-server-shutdown | scripts/lint.bash | Shell | isc | 140 |
#!/bin/bash
#
# Copyright © 2012-2013 Sergio Arroutbi Braojos <sarroutbi@gmail.com>
#
# Permission to use, copy, modify, and/or distribute this software
# for any purpose with or without fee is hereby granted, provided that
# the above copyright notice and this permission notice appear in all copies.
#
# THE SOFTWA... | sarroutbi/buscobici | truncscripts/biciescapa_trunc.sh | Shell | isc | 1,059 |
#!/bin/bash
if [ $# -ne 1 ]; then
echo $0: usage: final_publisher path_name
exit 1
fi
path=$1
counter=1
echo "Starting Publisher using Mosquitto"
echo "----------------------------------"
while true; do
cmd_str="mosquitto_pub -r -t '$path' -m 'Hello_$counter'"
echo "Running command : "$cmd_str
eval $cmd_s... | thejdeep/CoAPthon | final_publisher.sh | Shell | mit | 390 |
#!/bin/bash
curl -O https://storage.googleapis.com/kubernetes-release/release/v1.2.0/bin/linux/amd64/kubectl
chmod +x kubectl
sudo mv kubectl /opt/bin/kubectl
export PATH="/opt/bin:$PATH" | Aidamina/docker-experiments | get_kubectl.sh | Shell | mit | 189 |
#!/bin/bash
set -e
BASE_PATH="$( cd "$( dirname "${BASH_SOURCE[0]}" )/../" && pwd )"
CMD_PATH="${BASH_SOURCE[0]}"
source $BASE_PATH/lstack.sh
instance="$1"
needs_root
instance_running? "$instance" || {
error "Instance $instance is not running"
exit 1
}
shift
__instance_ip=$(instance_ip $instance)
if [ -z "$__i... | rubiojr/lstack | lib/commands/forward.sh | Shell | mit | 954 |
#!/bin/bash
rvm use 1.9.3
jekyll serve --watch | landon-morin/landon-morin.github.io | start.sh | Shell | mit | 46 |
################################################################
# This script show OpenVZ CTID / Process with high I/O usage #
# Fran Jiménez - fjmz@hklabs.me 10/04/2017 - https://hklabs.me #
################################################################
#!/bin/bash
# Searching binaries.
iotop=$(whereis iotop | a... | fjmz/hklabs | bash/openvz/show-ctid-high-io.sh | Shell | mit | 2,807 |
#!/bin/bash
cd /home/medusa
mkdir -pv public_html steamcmd csgo
# install steamcmd
curl http://media.steampowered.com/client/steamcmd_linux.tar.gz | \
tar zxv -C steamcmd && \
chmod +x steamcmd/steamcmd.sh steamcmd/steam.sh
# download the server files
steamcmd/steamcmd.sh +login anonymous \
+force_... | csgocenter/install-scripts | install_2.sh | Shell | mit | 1,143 |
#! /usr/bin/env bash
set -eu
shopt -s extglob
if grep 'localhost:4000' *.md _posts/*.md; then
echo "ERROR: Your content has links to localhost:4000!" >&2
exit 1
fi
if [ "x$(git status --porcelain)" != "x" ]; then
echo -n "git repo has uncommited changes. Continue anyway? (y/N) " >&2
read -n 1 YESNO
echo >... | mologie/capnproto | doc/push-site.sh | Shell | mit | 1,132 |
#!/bin/bash
# IMPORTANT
# ---------
# This is an auto generated file with React CDK.
# Do not modify this file.
set -e # exit with nonzero exit code if anything fails
# get GIT url
GIT_URL=`git config --get remote.origin.url`
if [[ $GIT_URL == "" ]]; then
echo "This project is not configured with a remote git rep... | alx/react-bounding-box | .scripts/publish_storybook.sh | Shell | mit | 1,316 |
#! /bin/bash
gogan="goganesh -file $HOME/goganesh.list"
xwindows=$(dirname $0)/xwindows.sh
#! /bin/bash
goganesh=$($gogan)
wnames=$(exec "$xwindows")
bins=$(dmenu_path)
wname=$(printf "%s\n" "$goganesh" "$wnames" "$bins" | perl -ne '$H{$_}++ or print' | dmenu -nb '#151617' -nf '#d8d8d8' -sb '#d8d8d8' -sf '#151617') &&... | qur2/scriptotheque | bash/xgoganeshdmenu-bind.sh | Shell | mit | 495 |
#!/bin/bash
## Exit trap
trap 'ret=$?; test $ret -ne 0 && printf "failed\n\n" >&2; exit $ret' EXIT
set -e
## Fancy echo
fancy_echo() {
printf "\n%b\n" "$1"
}
## Installs the package if it is not installed yet
install() {
pacman -Q "$1" >/dev/null 2>&1 && echo "$1 is already installed." || sudo pacman -S "$1" --... | lab2023/builder | archlinux.sh | Shell | mit | 3,386 |
((i=0))
for (( c=1; c<=10; ((c=$c+1)) ))
do
echo $i
./circlecode-batch-change-inner-size.sh $i
i=$(($i+1))
done
# ((i=0))
# cat people.txt | while read line
# do
# echo $i
# ./circlecode-batch-change-inner-size.sh $i
# i=$(($i+1))
# done | pet1330/circleIDTracker | circle_detection/doc/loop.sh | Shell | mit | 246 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.